http://lists.opensuse.org/opensuse-commit/2007-11/msg00823.html

diff -Naur mozilla-orig/modules/libpr0n/encoders/jpeg/nsJPEGEncoder.h mozilla/modules/libpr0n/encoders/jpeg/nsJPEGEncoder.h
--- mozilla-orig/modules/libpr0n/encoders/jpeg/nsJPEGEncoder.h	2006-05-20 11:20:48.000000000 -0600
+++ mozilla/modules/libpr0n/encoders/jpeg/nsJPEGEncoder.h	2008-01-06 22:13:39.000000000 -0600
@@ -39,8 +39,10 @@
 #include "imgIEncoder.h"
 #ifdef MOZILLA_1_8_BRANCH
 #define imgIEncoder imgIEncoder_MOZILLA_1_8_BRANCH
+#ifndef NS_DECL_IMGIENCODER
 #define NS_DECL_IMGIENCODER NS_DECL_IMGIENCODER_MOZILLA_1_8_BRANCH
 #endif
+#endif
 
 // needed for JPEG library
 #include <stdio.h>
@@ -69,6 +71,14 @@
 
   nsJPEGEncoder();
 
+  NS_IMETHOD InitFromData(const PRUint8* aData,
+  PRUint32 aLength, // (unused, req'd by JS)
+  PRUint32 aWidth,
+  PRUint32 aHeight,
+  PRUint32 aStride,
+  PRUint32 aInputFormat,
+  const nsAString& aOutputOptions);
+
 private:
   ~nsJPEGEncoder();
 
diff -Naur mozilla-orig/modules/libpr0n/encoders/png/nsPNGEncoder.h mozilla/modules/libpr0n/encoders/png/nsPNGEncoder.h
--- mozilla-orig/modules/libpr0n/encoders/png/nsPNGEncoder.h	2006-05-20 11:20:49.000000000 -0600
+++ mozilla/modules/libpr0n/encoders/png/nsPNGEncoder.h	2008-01-06 22:11:36.000000000 -0600
@@ -38,8 +38,10 @@
 #include "imgIEncoder.h"
 #ifdef MOZILLA_1_8_BRANCH
 #define imgIEncoder imgIEncoder_MOZILLA_1_8_BRANCH
+#ifndef NS_DECL_IMGIENCODER
 #define NS_DECL_IMGIENCODER NS_DECL_IMGIENCODER_MOZILLA_1_8_BRANCH
 #endif
+#endif
 
 #include <png.h>
 
@@ -63,6 +65,14 @@
 
   nsPNGEncoder();
 
+  NS_IMETHOD InitFromData(const PRUint8* aData,
+  PRUint32 aLength, // (unused, req'd by JS)
+  PRUint32 aWidth,
+  PRUint32 aHeight,
+  PRUint32 aStride,
+  PRUint32 aInputFormat,
+  const nsAString& aOutputOptions);
+
 private:
   ~nsPNGEncoder();
 
diff -Naur mozilla-orig/modules/libpr0n/public/imgIEncoder.idl mozilla/modules/libpr0n/public/imgIEncoder.idl
--- mozilla-orig/modules/libpr0n/public/imgIEncoder.idl	2006-05-20 11:20:49.000000000 -0600
+++ mozilla/modules/libpr0n/public/imgIEncoder.idl	2008-01-06 22:15:40.000000000 -0600
@@ -96,6 +96,6 @@
 [scriptable, uuid(CCC5B3AD-3E67-4e3d-97E1-B06B2E96FEF8)]
 interface imgIEncoder : nsISupports
 {
-  void encodeClipboardImage(in nsIClipboardImage aClipboardImage, out nsIFile aImageFile);
+  /* void encodeClipboardImage(in nsIClipboardImage aClipboardImage, out nsIFile aImageFile); */
 };
 
